Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.w3c.jigsaw.servlet
Class ServletIndexer

    java.lang.Object
      |
      +--org.w3c.tools.resources.AttributeHolder
            |
            +--org.w3c.tools.resources.Resource
                  |
                  +--org.w3c.tools.resources.indexer.SampleResourceIndexer
                        |
                        +--org.w3c.jigsaw.servlet.ServletIndexer

public class ServletIndexer
extends SampleResourceIndexer

Fields inherited from class org.w3c.tools.resources.indexer.SampleResourceIndexer
`ATTR_NOT_INDEXED, ATTR_SUPER_INDEXER, contentTypes, defname, directories, extCaseSensitive, extensions, isWinPlatform`

Fields inherited from class org.w3c.tools.resources.Resource
`ATTR_CONTEXT, ATTR_HELP_URL, ATTR_IDENTIFIER, ATTR_LAST_MODIFIED, ATTR_PARENT, ATTR_RESOURCE_FRAMES, ATTR_STORE_ENTRY, ATTR_URL, co, id`

Fields inherited from class org.w3c.tools.resources.AttributeHolder
`attributes, values`

Constructor Summary
`ServletIndexer()`

Method Summary
`protected void` | `copyDefs(java.util.Hashtable fromdefs, java.util.Hashtable toDefs)` Copy one hastable in another one.
`protected Resource` | `createFileResource(java.io.File directory, RequestInterface req, java.lang.String name, java.util.Hashtable defs)` Create a default file resource for this file (that exists).
`protected Resource` | `createVirtualResource(java.io.File directory, RequestInterface req, java.lang.String name, java.util.Hashtable defs)` Try to create a virtual resource if the real (physical) resource is not there.
`protected java.lang.String` | `getIndexedFileName(java.lang.String name)`

Methods inherited from class org.w3c.tools.resources.indexer.SampleResourceIndexer
`createDirectoryResource, createResource, delete, delete, enumerateResourceIdentifiers, getDirectories, getExtensions, getFileExtensions, getIndexedDirName, getIndexedName, getSuperIndexer, getTemplateFor, lastModified, loadDirectory, loadExtension, lookup, mergeDefaultAttributes, mergeFrameAttributes, registerResource`

Methods inherited from class org.w3c.tools.resources.Resource
`acceptUnload, checkMultipleLock, collectFrames, getClone, getContext, getFrame, getFrames, getHelpURL, getHelpURL, getIdentifier, getLastModified, getParent, getResourceReference, getServer, getSpace, getSpaceEntry, getStoreEntry, getURLPath, getValue, getValue, initialize, initialize, isInitialized, isUnloaded, markModified, notifyUnload, pickleValues, registerFrame, setContext, setContext, setValue, setValue, unregisterFrame, unsafeGetContext, unsafeGetIdentifier, unsafeGetValue, updateAttributes`

Methods inherited from class org.w3c.tools.resources.AttributeHolder
`definesAttribute, definesAttribute, getAttributes, getBoolean, getChar, getClone, getClone, getDouble, getFloat, getInt, getLong, getString, getValue, lookupAttribute, print, setBoolean, setChar, setDouble, setFloat, setInt, setLong, setString, setValue, unsafeGetString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ServletIndexer

    public ServletIndexer()

Method Detail

### copyDefs

    protected void copyDefs(java.util.Hashtable fromdefs,
                            java.util.Hashtable toDefs)

  Copy one hastable in another one.
  Parameters:
    `fromdefs` - The source
    `todefs` - The destination

### createFileResource

    protected Resource createFileResource(java.io.File directory,
                                          RequestInterface req,
                                          java.lang.String name,
                                          java.util.Hashtable defs)

  Create a default file resource for this file (that exists).
  Overrides:
    createFileResource in class SampleResourceIndexer
  Parameters:
    `directory` - The directory of the file.
    `name` - The name of the file.
    `defs` - A set of default attribute values.
  Returns:
    An instance of Resource, or null if we were unable to create it.

### createVirtualResource

    protected Resource createVirtualResource(java.io.File directory,
                                             RequestInterface req,
                                             java.lang.String name,
                                             java.util.Hashtable defs)

  Try to create a virtual resource if the real (physical) resource is not there.
  Overrides:
    createVirtualResource in class SampleResourceIndexer
  Parameters:
    `directory` - The directory the file is in.
    `name` - The name of the file.
    `defs` - Any default attribute values that should be provided to the created resource at initialization time.
  Returns:
    A Resource instance, or null if the given file can't be truned into a resource given our configuration database.

### getIndexedFileName

    protected java.lang.String getIndexedFileName(java.lang.String name)

  Overrides:
    getIndexedFileName in class SampleResourceIndexer

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD